function [speechMag, speechPhase] = computeStft (speech, window, shift, windowLength, nMagnitude)
% getStft: Computa la STFT de la seal y devuelve fase y magnitud.
%
%   speech: seal de audio.
%   window: ventana de la STFT.
%   shift: nmero de puntos de encabalgamiento.
%   windowLength: puntos de la ventana.
%   nMagnitude: nmero de vectores magnitud.
 
speechSTFT  = stft(speech, 'Window', window, 'OverlapLength', shift,...
    'FFTLength', windowLength);

% Clculo de fase y magnitud. Se elimina la mitad simtrica del espectro.
speechPhase = angle(speechSTFT(nMagnitude-1:end,:));
speechMag   = abs(speechSTFT(nMagnitude-1:end,:));
