function [inputVectors] = getInputVectors (noisySpeechSTFT, ...
    nInputVectors, nMagnitude)
% getInputVectors: Devuelve una matriz 129*8*(puntosSTFT) con los vectores de entrada.
% Cada paso en la dim3 contiene los 7 vectores STFT anteriores y el actual.
%
%   noisySpeechSTFT: magnitud del audio input.
%   nInputVectors: nmero de vectores magnitud consecutivos en input
%   nMagnitude: nmero de vectores magnitud

% Cmputo de las matrices target 129*8
noisySpeechSTFT = [noisySpeechSTFT(:,1:nInputVectors - 1), ...
    noisySpeechSTFT]; % Expansin por la izquierda

inputVectors = zeros(nMagnitude, nInputVectors , ...
    size(noisySpeechSTFT,2) - nInputVectors + 1); 
for index = 1:size(noisySpeechSTFT,2) - nInputVectors + 1
    inputVectors(:,:,index) = (noisySpeechSTFT(:,index:index + ...
       nInputVectors - 1)); 
end