function [clean, noisy] = getTestAudio (snr)
% getTestAudio: Devuelve un par audio limpio/audio con ruido awgn a partir
% del set de test.
%
%   snr: Relacin SNR para el audio con ruido.

% Se obtiene un audio del set de test.
ds = getAudioData('test');
clean = read(ds);

% Asegura que la longitud del audio es proporcional al factor de decimado.
clean = audioLengthExtend(clean);

% Se remuestrea el audio a 8000Hz.
src = dsp.SampleRateConverter("InputSampleRate",16000, ...
                              "OutputSampleRate",8000, ...
                              "Bandwidth",7920);
clean = src(clean);
reset(src);

% Se aade awgn a la seal limpia.
noisy = awgn(clean, snr, 'measured');
