function [restoredStft] = restoreStft (outputStft, inputPhase)
% restoreStft: Restaura la parte simtrica de la magnitud e incorpora la 
% informacin de fase.
%
%   outputStft: Salida de la red.
%   inputPhase: Fase extraida en el preprocesamiento.

% Se eliminan las dimensiones de tamao 1 creadas al adaptar y se incorpora
% la fase.
outputStft = squeeze(outputStft) .* exp(1j*inputPhase);

% Se restaura la parte simtrica.
restoredStft = [conj(outputStft(end-1:-1:2,:)) ; outputStft];