function [trainInputs, trainTargets, validationInputs, ...
    validationTargets] = splitTrainToValidation (inputs, targets)
% splitTrainToValidation: Divide el set preprocesado y normalizado en sets
% de entrenamiento y validacin.
%
%   inputs  : magnitudes normalizadas de los audios con ruido
%   targets : magnitudes normalizadas de los audios limpios

TrainAssign = 0.99; % Se asigna el 1% a validacin

inds              = randperm(size(inputs,4));
testLength        = round(TrainAssign * size(inputs,4));

trainInputs       = inputs(:,:,:,inds(1:testLength));
trainTargets      = targets(:,:,:,inds(1:testLength));
validationInputs  = inputs(:,:,:,inds(testLength+1:end));
validationTargets = targets(:,:,:,inds(testLength+1:end));
